#ifndef GLOBALS_H
#define GLOBALS_H

// Settings
#define RSYNC_PORT 873
#define PORT_LENGTH 6
#define LOCALHOST_T "(localhost)"
// fields in rsync's progress output as of v 2.5.5
#define R_TRANSFERRED 2
#define R_PERCENT 3
#define R_TRANSFERRATE 5
#define R_ETA 7
// fields in rsync's final "bytes" output
#define R_BYTES_READ 1
#define R_BYTES_WRITTEN 4
#define R_BYTE_RATE 6
// fields in rsync's file listing information
#define R_FILE_PERMS 0
#define R_FILE_SIZE 1
#define R_FILE_DATE 2
#define R_FILE_TIME 3
#define R_FILE_NAME 4
// Dialog locations
#define PADDING 4
#define BUTTON_W 70
#define BUTTON_H 25
#define TEXT_W 120
#define TEXT_EDIT_W 200
#define TEXT_EDIT_H 25
// Column numbers for main tab (MAIN_.*_C)
#define MAIN_LBL_C			0
#define MAIN_FIELD_C		2
#define MAIN_AUX_C			4
#define MAIN_CTRL_C			6
// Row numbers for main tab (MAIN_.*_R)
#define MAIN_SITE_R	1
#define MAIN_HOST_R	3
#define MAIN_SRC_R	5
#define MAIN_DEST_R	7
#define MAIN_PASS_R	9
#define MAIN_MODE_R	11
#define MAIN_COMM_R	13
// expected rsync output
#define RSYNC_OPEN_CONNECTION "opening tcp connection"
#define RSYNC_RECV_FILELIST "receiving file list ..."
#define RSYNC_RECV_NAME "recv_file_name"
#define RSYNC_RECV_COUNT1 "received "
#define RSYNC_RECV_COUNT2 " names"
#define RSYNC_FILES_CONSIDER " files to consider"
#define RSYNC_RECV_LIST_DONE "recv_file_list done"
#define RSYNC_LOCAL_INFO "get_local_name "
#define RSYNC_LOCAL_COUNT "count="
#define RSYNC_SYNC_START "generator starting "
#define RSYNC_DELTA "delta transmission enabled"
#define RSYNC_RECV_GEN "recv_generator("
#define RSYNC_MOD_TIME "set modtime of "
#define RSYNC_RECV_START1 "recv_files("
#define RSYNC_RECV_START2 ") starting"
#define RSYNC_GEN_FILES_P1 "generate_files phase=1"
#define RSYNC_RECV_FILE "recv_files("
#define RSYNC_RENAMING1 "renaming "
#define RSYNC_RENAMING2 " to "
#define RSYNC_RECV_FILES_P1 "recv_files phase=1"
#define RSYNC_GEN_FILES_P2 "generate_files phase=2"
#define RSYNC_RECV_DONE "recv_files finished"
#define RSYNC_RECV_BYTES_W "wrote "
#define RSYNC_RECV_BYTES_R "read "
#define RSYNC_RECV_RATE "bytes/sec"
#define RSYNC_END_SIZE1 "total size is "
#define RSYNC_END_SIZE2 "speedup is "
#define RSYNC_EXIT "_exit_cleanup("
#define RSYNC_RECV_SUM "got file_sum"
#define RSYNC_ADD_EXCLUDE "add_exclude("

// put this in something else at some point...
class RSyncStuff {
	public:
		enum RSyncOperation { ChangeDir, DoUpload, DoDownload };
};

#endif /* GLOBALS_H */
